Description

Related issues:

Has duplicate Redmine - Feature #11194: Access Wiki via REST respectivly Web ... Closed

Associated revisions

Revision 10716 - 2012-10-25 21:44 - Jean-Philippe Lang

REST API for retrieving wiki pages (#7082).

Revision 10717 - 2012-10-25 22:38 - Jean-Philippe Lang

REST API for creating/updating wiki pages (#7082).

Revision 10718 - 2012-10-25 22:44 - Jean-Philippe Lang

Adds ?include=attachments option when retrieving a wiki page with the REST API (#7082).

Revision 10719 - 2012-10-25 23:17 - Jean-Philippe Lang

Adds last edit comments on the wiki page (#7082).

Revision 10743 - 2012-10-28 21:17 - Jean-Philippe Lang

REST API for deleting wiki pages (#7082).

History

#1 - 2010-12-10 12:20 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2010-12-10 12:40 - Jean-Philippe Lang

- Target version set to 1.2.0

The wiki routing was refactored earlier but it doesn't match actual resources, /wiki represents the wiki (a project resource) and the wiki pages.

I propose to map these resources in the following way:

/projects/:project_id/wiki         => the project wiki (a single resource)

/projects/:project_id/wiki/pages   => the wiki pages (a collection resource)

 A route can be added to keep the compatibility for existing URLs that point to a page.

It's a bit late to do these changes for 1.1, the wiki API will be added in 1.2.

#3 - 2011-04-15 15:56 - Jean-Philippe Lang

- Target version changed from 1.2.0 to Unplanned backlogs

Not many requests here and time is missing for 1.2.0.

#4 - 2011-04-18 15:46 - Etienne Massip

- Target version changed from Unplanned backlogs to Candidate for next major release
#5 - 2011-11-23 13:22 - Yuriy Vidineev

Very nice feature

#6 - 2011-11-25 12:06 - Kassio Borges

+1

#7 - 2012-02-15 14:23 - Roberto  Almeida Quilice Longhi

+1

#8 - 2012-03-02 11:26 - Yannick SAVANIER

+1

#9 - 2012-03-02 11:32 - Brice Beaumesnil

+1

useful with REST API versions (if this version have a wiki page)

#10 - 2012-05-24 17:48 - Miguel Martín

+1

#11 - 2012-06-18 16:47 - David FR

+1 for Wiki API with following functionnalities : create pages, add images, modifying text

#12 - 2012-06-20 08:41 - Wolf-Dieter Mische

+1 Functionnalities should be: create page, add attachement to a page, get pages (or pages names), adding a test section

#13 - 2012-07-31 11:19 - Evgeny Sinelnikov

+1

#14 - 2012-08-03 17:51 - Charles Monteiro

+1

#15 - 2012-09-05 13:56 - Jefferson Campos

I support this feature. Would be nice have it! ;)

+1

#16 - 2012-10-05 11:35 - roman JProof

+1 an minimal feature for getting wiki pages or parts will be nice.

so i am able to parse helping contents into an web-application for users they had valid installed the app.

#17 - 2012-10-15 10:25 - Intrad Acebo

+1

#18 - 2012-10-23 17:16 - Harry Garrood

+1 from me too. Is this being worked on currently? If not, would a patch be accepted?

#19 - 2012-10-25 21:45 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.2.0

#20 - 2012-10-29 11:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Wiki pages can now be retrieved, created, updated and deleted through the REST API. See Rest_WikiPages.

Any additional features should be requested in a separate issue.
